--- net/uroute.c.orig	2005-01-22 06:02:03.000000000 +0900
+++ net/uroute.c	2008-12-22 02:53:23.000000000 +0900
@@ -74,9 +74,15 @@
 	((a) > 0 ? (1 + (((a) - 1) | (sizeof(long) - 1))) : sizeof(long))
 #define ADVANCE(x, n)	((x) += ROUNDUP((n)->sa_len))
 
+#ifdef RTF_LLINFO
 #define WRITABLE_FLAGS	(RTF_STATIC | RTF_LLINFO | RTF_REJECT | RTF_BLACKHOLE \
 			    | RTF_PROTO1 | RTF_PROTO2 | RTF_CLONING \
 			    | RTF_XRESOLVE | RTF_UP | RTF_GATEWAY)
+#else
+#define WRITABLE_FLAGS	(RTF_STATIC | RTF_REJECT | RTF_BLACKHOLE \
+			    | RTF_PROTO1 | RTF_PROTO2 | RTF_CLONING \
+			    | RTF_XRESOLVE | RTF_UP | RTF_GATEWAY)
+#endif
 
 struct route_flag {
 	const char	*name;

